Bug 15090 - Exceptional Condition After Not Enough Disk Space
Summary: Exceptional Condition After Not Enough Disk Space
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-02 01:58 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 19:23:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-02 01:58:14 UTC
After getting a message that I did not have enough space on my root 
partition to install all of the packages that I had selected, an exception 
dialog box was raised with the following information (saved to floppy):

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1565, in 
doInstall
    self.fstab.umountFilesystems(self.instPath)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/fstab.py", line 487, in 
umountFilesystems
    isys.umount(mntPoint, removeDir = 0)
  File "/usr/lib/anaconda/isys.py", line 113, in umount
    raise ValueError, "isys.umount() can only umount by mount point"
ValueError: isys.umount() can only umount by mount point

Local variables in innermost frame:
what: /mnt/sysimage/mnt/win98
removeDir: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'mntPoint'
p8
S'/mnt/sysimage'
p9
sS'device'
p10
S'hdc'
sS'progressWindow'
p11

Comment 1 Erik Troan 2000-08-08 19:23:19 UTC
This is fixed internally.


Note You need to log in before you can comment on or make changes to this bug.